<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFSlideShowEncrypted (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFSlideShowEncrypted (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":9,"i10":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFSlideShowEncrypted.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFSlideShowEncrypted.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFSlideShowEncrypted" class="title">Class HSLFSlideShowEncrypted</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.usermodel.HSLFSlideShowEncrypted</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">HSLFSlideShowEncrypted</span>
extends java.lang.Object
implements java.io.Closeable</pre>
                <div class="block">This class provides helper functions for encrypted PowerPoint documents.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#HSLFSlideShowEncrypted-byte:A-java.util.NavigableMap-">HSLFSlideShowEncrypted</a></span>(byte[]&nbsp;docstream,
                                    java.util.NavigableMap&lt;java.lang.Integer,<a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html"
                                            title="class in org.apache.poi.hslf.record">Record</a>&gt;&nbsp;recordMap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#HSLFSlideShowEncrypted-org.apache.poi.hslf.record.DocumentEncryptionAtom-">HSLFSlideShowEncrypted</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                        title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>&nbsp;dea)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#addEncryptionRecord-org.apache.poi.hslf.record.Record:A-org.apache.poi.hslf.record.DocumentEncryptionAtom-">addEncryptionRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records,
                                    <a href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                       title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>&nbsp;dea)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#close--">close</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#decryptPicture-byte:A-int-">decryptPicture</a></span>(byte[]&nbsp;pictstream,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#decryptRecord-byte:A-int-int-">decryptRecord</a></span>(byte[]&nbsp;docstream,
                                    int&nbsp;persistId,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#encryptPicture-byte:A-int-">encryptPicture</a></span>(byte[]&nbsp;pictstream,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#encryptRecord-java.io.OutputStream-int-org.apache.poi.hslf.record.Record-">encryptRecord</a></span>(java.io.OutputStream&nbsp;plainStream,
                                    int&nbsp;persistId,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                       title="class in org.apache.poi.hslf.record">Record</a>&nbsp;record)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                        title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#getDocumentEncryptionAtom--">getDocumentEncryptionAtom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#getEncryptionInfo--">getEncryptionInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#normalizeRecords-org.apache.poi.hslf.record.Record:A-">normalizeRecords</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</code>
                                    <div class="block">remove duplicated UserEditAtoms and merge PersistPtrHolder.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#removeEncryptionRecord-org.apache.poi.hslf.record.Record:A-">removeEncryptionRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html#updateEncryptionRecord-org.apache.poi.hslf.record.Record:A-">updateEncryptionRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFSlideShowEncrypted-org.apache.poi.hslf.record.DocumentEncryptionAtom-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFSlideShowEncrypted</h4>
                                <pre>protected&nbsp;HSLFSlideShowEncrypted(<a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                        title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>&nbsp;dea)</pre>
                            </li>
                        </ul>
                        <a name="HSLFSlideShowEncrypted-byte:A-java.util.NavigableMap-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFSlideShowEncrypted</h4>
                                <pre>protected&nbsp;HSLFSlideShowEncrypted(byte[]&nbsp;docstream,
                                 java.util.NavigableMap&lt;java.lang.Integer,<a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html"
                                            title="class in org.apache.poi.hslf.record">Record</a>&gt;&nbsp;recordMap)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDocumentEncryptionAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocumentEncryptionAtom</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                        title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>&nbsp;getDocumentEncryptionAtom()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptionInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptionInfo</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;getEncryptionInfo()</pre>
                            </li>
                        </ul>
                        <a name="encryptRecord-java.io.OutputStream-int-org.apache.poi.hslf.record.Record-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>encryptRecord</h4>
                                <pre>protected&nbsp;java.io.OutputStream&nbsp;encryptRecord(java.io.OutputStream&nbsp;plainStream,
                                             int&nbsp;persistId,
                                             <a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                title="class in org.apache.poi.hslf.record">Record</a>&nbsp;record)</pre>
                            </li>
                        </ul>
                        <a name="decryptRecord-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>decryptRecord</h4>
                                <pre>protected&nbsp;void&nbsp;decryptRecord(byte[]&nbsp;docstream,
                             int&nbsp;persistId,
                             int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="decryptPicture-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>decryptPicture</h4>
                                <pre>protected&nbsp;void&nbsp;decryptPicture(byte[]&nbsp;pictstream,
                              int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="encryptPicture-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>encryptPicture</h4>
                                <pre>protected&nbsp;void&nbsp;encryptPicture(byte[]&nbsp;pictstream,
                              int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="updateEncryptionRecord-org.apache.poi.hslf.record.Record:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateEncryptionRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                       title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;updateEncryptionRecord(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</pre>
                            </li>
                        </ul>
                        <a name="normalizeRecords-org.apache.poi.hslf.record.Record:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>normalizeRecords</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;normalizeRecords(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</pre>
                                <div class="block">remove duplicated UserEditAtoms and merge PersistPtrHolder.
                                    Before this method is called, make sure that the offsets are correct,
                                    i.e. call <a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#updateAndWriteDependantRecords-java.io.OutputStream-java.util.Map-"><code>HSLFSlideShowImpl.updateAndWriteDependantRecords(OutputStream,
                                        Map)</code></a></div>
                            </li>
                        </ul>
                        <a name="removeEncryptionRecord-org.apache.poi.hslf.record.Record:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeEncryptionRecord</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;removeEncryptionRecord(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</pre>
                            </li>
                        </ul>
                        <a name="addEncryptionRecord-org.apache.poi.hslf.record.Record:A-org.apache.poi.hslf.record.DocumentEncryptionAtom-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addEncryptionRecord</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;addEncryptionRecord(<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records,
                                              <a href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                                 title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a>&nbsp;dea)</pre>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFSlideShowEncrypted.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowFactory.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFSlideShowEncrypted.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
